Bug 244138 - x11/x3270: update 3.3.15 -> 3.6ga8
Summary: x11/x3270: update 3.3.15 -> 3.6ga8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Cy Schubert
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-15 13:54 UTC by Kurt Jaeger
Modified: 2020-03-19 20:07 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback+


Attachments
patch (4.02 KB, patch)
2020-02-15 13:54 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2020-02-15 13:54:24 UTC
Created attachment 211670 [details]
patch

unbreak, update

RelNotes: http://x3270.bgp.nu/documentation-relnotes.html

It also builds c3270 and friends.
Comment 1 Automation User 2020-02-15 14:06:00 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/118170199
Comment 2 ecrist 2020-02-15 19:05:08 UTC
I cannot seem to get this to build, myself.

I haven't used any of these apps in several years, so if someone wants to take over maintainership, I approve.


=== Build Log ===

gmake[3]: Leaving directory '/usr/home/ecrist/freebsd-cvs/x3270/work/suite3270-3.6/x3270'
cc -Wall -Wsign-compare -std=c99 -pedantic -Wno-variadic-macros -MMD -MP  -I. -I../../../c3270 -I../../../Common/c3270 -I../../../Common -I../../../include -DLIBX3270DIR=\"/usr/local/etc/x3270\" -I/usr/local/include -DLIBICONV_PLUG -I/usr/local/include -I/usr/local/include -DLIBICONV_PLUG -I/usr/local/include  -c -o ssl_passwd_gui.o ../../../Common/c3270/ssl_passwd_gui.c
cd s3270 && gmake
gmake[3]: Entering directory '/usr/home/ecrist/freebsd-cvs/x3270/work/suite3270-3.6/s3270'
mkdir -p ../obj/amd64-portbld-freebsd12.0/s3270
cd ../obj/amd64-portbld-freebsd12.0/s3270 && gmake -I../../../s3270 -I../../../Common -f ../../../s3270/Makefile.obj all
gmake[4]: Entering directory '/usr/home/ecrist/freebsd-cvs/x3270/work/suite3270-3.6/obj/amd64-portbld-freebsd12.0/s3270'
cc -Wall -Wsign-compare -std=c99 -pedantic -Wno-variadic-macros -MMD -MP  -I../../../s3270 -I../../../include -I../../../Common/s3270 -DLIBX3270DIR=\"/usr/local/etc/x3270\" -I/usr/local/include -DLIBICONV_PLUG -I/usr/local/include -I/usr/local/include -DLIBICONV_PLUG -I/usr/local/include  -c -o s3270.o ../../../Common/s3270.c
../../../c3270/screen.c:1360:9: error: expected ';' after expression
                wint_t wch;
                      ^
                      ;
../../../c3270/screen.c:1360:3: error: use of undeclared identifier 'wint_t'
                wint_t wch;
                ^
../../../c3270/screen.c:1360:10: error: use of undeclared identifier 'wch'
                wint_t wch;
                       ^
../../../c3270/screen.c:1368:7: warning: implicit declaration of function 'wget_wch' is invalid in C99 [-Wimplicit-function-declaration]
                k = wget_wch(stdscr, &wch);
                    ^
../../../c3270/screen.c:1368:25: error: use of undeclared identifier 'wch'
                k = wget_wch(stdscr, &wch);
                                      ^
../../../c3270/screen.c:1379:50: error: use of undeclared identifier 'wch'
                                                     , (unsigned long)wch
                                                                      ^
../../../c3270/screen.c:1415:13: error: use of undeclared identifier 'wch'
                        k = (int)wch;   /* KEY_XXX */
                                 ^
../../../c3270/screen.c:1421:13: error: use of undeclared identifier 'wch'; did you mean 'wcs'?
                        wcs[0] = wch;
                                 ^~~
                                 wcs
../../../c3270/screen.c:1418:12: note: 'wcs' declared here
                        wchar_t wcs[2];
                                ^
../../../c3270/screen.c:1421:11: warning: incompatible pointer to integer conversion assigning to 'wchar_t' (aka 'int') from 'wchar_t [2]' [-Wint-conversion]
                        wcs[0] = wch;
                               ^ ~~~
../../../c3270/screen.c:1426:21: error: use of undeclared identifier 'wch'
                                        (unsigned long)wch);
                                                       ^
../../../c3270/screen.c:1440:22: error: use of undeclared identifier 'wch'
                                                (unsigned long)wch);
                                                               ^
2 warnings and 9 errors generated.
gmake[4]: *** [<builtin>: screen.o] Error 1
gmake[4]: Leaving directory '/usr/home/ecrist/freebsd-cvs/x3270/work/suite3270-3.6/obj/amd64-portbld-freebsd12.0/c3270'
gmake[3]: *** [Makefile:39: all] Error 2
gmake[3]: Leaving directory '/usr/home/ecrist/freebsd-cvs/x3270/work/suite3270-3.6/c3270'
gmake[2]: *** [Makefile:118: c3270] Error 2
cc -Wall -Wsign-compare -std=c99 -pedantic -Wno-variadic-macros -MMD -MP  -I../../../s3270 -I../../../include -I../../../Common/s3270 -DLIBX3270DIR=\"/usr/local/etc/x3270\" -I/usr/local/include -DLIBICONV_PLUG -I/usr/local/include -o mkfb ../../../Common/mkfb.c
gmake[2]: *** Waiting for unfinished jobs....
cc -Wall -Wsign-compare -std=c99 -pedantic -Wno-variadic-macros -MMD -MP  -I../../../s3270 -I../../../include -I../../../Common/s3270 -DLIBX3270DIR=\"/usr/local/etc/x3270\" -I/usr/local/include -DLIBICONV_PLUG -I/usr/local/include -I/usr/local/include -DLIBICONV_PLUG -I/usr/local/include  -c -o x3270if.o ../../../Common/x3270if.c
rm -f fallbacks.c
./mkfb -c -o fallbacks.c ../../../Common/fb-common
cc -Wall -Wsign-compare -std=c99 -pedantic -Wno-variadic-macros -MMD -MP  -I../../../s3270 -I../../../include -I../../../Common/s3270 -DLIBX3270DIR=\"/usr/local/etc/x3270\" -I/usr/local/include -DLIBICONV_PLUG -I/usr/local/include -I/usr/local/include -DLIBICONV_PLUG -I/usr/local/include  -c -o fallbacks.o fallbacks.c
cc -o x3270if -L/usr/local/lib  -fstack-protector-strong  -I../include x3270if.o -lutil -L/usr/local/lib
rm -f xversion.c
sh ../../../s3270/mkversion.sh s3270 ../../../s3270/version.txt >xversion.c
cc -Wall -Wsign-compare -std=c99 -pedantic -Wno-variadic-macros -MMD -MP  -I../../../s3270 -I../../../include -I../../../Common/s3270 -DLIBX3270DIR=\"/usr/local/etc/x3270\" -I/usr/local/include -DLIBICONV_PLUG -I/usr/local/include -c -o version.o xversion.c
rm -f xversion.c
cc -o s3270 s3270.o fallbacks.o version.o -L/usr/local/lib  -fstack-protector-strong  -L../../../obj/amd64-portbld-freebsd12.0/lib3270 -l3270 -L../../../obj/amd64-portbld-freebsd12.0/lib32xx -l32xx -lssl -lcrypto  -L../../../obj/amd64-portbld-freebsd12.0/lib3270stubs -l3270stubs -lutil -L/usr/local/lib
gmake[4]: Leaving directory '/usr/home/ecrist/freebsd-cvs/x3270/work/suite3270-3.6/obj/amd64-portbld-freebsd12.0/s3270'
gmake[3]: Leaving directory '/usr/home/ecrist/freebsd-cvs/x3270/work/suite3270-3.6/s3270'
gmake[2]: Leaving directory '/usr/home/ecrist/freebsd-cvs/x3270/work/suite3270-3.6'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/home/ecrist/freebsd-cvs/x3270
*** Error code 1

Stop.
make: stopped in /usr/home/ecrist/freebsd-cvs/x3270
Comment 3 Kurt Jaeger freebsd_committer 2020-02-15 19:18:28 UTC
Please check if you have files/patch-c3270_screen.c and if the patch is applied.
The build error indicates that you are missing that patch ?
Comment 4 Kurt Jaeger freebsd_committer 2020-02-17 19:53:05 UTC
TODO: run-tests from someone with a 3270 use case.
Comment 5 Cy Schubert freebsd_committer 2020-03-19 17:23:47 UTC
I can test this out. I don't have an account any more but I can get a netsol logo.
Comment 6 Cy Schubert freebsd_committer 2020-03-19 17:51:20 UTC
One better. livingcomputers.org managed to get their IBM 4360 repaired. Logged in edited a file using xedit. It works!

Suggest you apply for a free account (or accounts, they have many vintage machines, including VAX and old BSD machines). It's handy for testing stuff like this.
Comment 7 Cy Schubert freebsd_committer 2020-03-19 17:52:38 UTC
I'll take this and commit it.
Comment 8 Cy Schubert freebsd_committer 2020-03-19 19:07:48 UTC
Committed to my git repo. I'll push it next time I do git svn dcommit.
Comment 9 commit-hook freebsd_committer 2020-03-19 20:02:25 UTC
A commit references this bug:

Author: cy
Date: Thu Mar 19 20:01:31 UTC 2020
New revision: 528740
URL: https://svnweb.freebsd.org/changeset/ports/528740

Log:
  Update 3.3.15 -> 3.6ga8.

  Mark unbroken. New site.

  PR:		244138
  Submitted by:	pi
  Reported by:	pi
  Tested by:	cy (on VM/CMS)
  Approved by:	pi

Changes:
  head/x11/x3270/Makefile
  head/x11/x3270/distinfo
  head/x11/x3270/files/
  head/x11/x3270/files/patch-c3270_screen.c
  head/x11/x3270/pkg-plist
Comment 10 Cy Schubert freebsd_committer 2020-03-19 20:07:05 UTC
Committed.